<?php
#------------------------------------------
# Plugin para WDTV Live
# Enlace a las series de la web seriesyonkis
#--------------------------------------------------------
include('funciones.php');
include('funcionesyonkis.php');


function _cadenaBusqueda(){
	return 'http://www.seriesyonkis.com/buscar/serie?keywords=';
}

function _pluginMain($prmQuery) {
	$website = 'http://www.seriesyonkis.com/lista-de-series';
	$website1 = 'http://www.seriesyonkis.com';
	$imagenes1 = 'http://s.staticyonkis.com/img/series/170x243/';
	$extension = '.jpg';
	$cserie = '/serie/';
	$plugin = 'seriesyonkis';

	$queryData = array();
	parse_str($prmQuery, $queryData);

	//Estructura P?gina Inicial
	if ($queryData['inicio'] =='listadoA') { // Listado Alfab?tico
		$lista = _CrearListaAlfabetica($website,'/<a href="(.*?)">(.*?)<\/a>/',array(2,1,3),2,'/<ul id="filters" class="dictionary">(.*?)<\/ul>/');
		foreach ($lista['enlace'] as &$value) $value = $website1.$value;
		$tipo = 'paginas';		
	}	
	else if ($queryData['inicio'] =='listadoM') { // Listado por m?s vistas
		$lista = _CrearLista($website1.'/series-mas-vistas','/<li class="thumb-episode"> <a href="([^"]*?)" title="([^"]*?)"><img width="115" height="166" class="img-shadow" src="([^"]*?)"/',array(2,1,3),'');
		foreach ($lista['enlace'] as &$value) $value = $website1.$value;
		$tipo = 'temporadas';
	}	
	else if ($queryData['paginas'] !='') { // Paginaci?n
		$lista = _CrearPaginacionSY($queryData['paginas']);
		if (!is_array($lista)) return _pluginMain('series='.$queryData['paginas']);
		$tipo = 'series'; 
	}
	// P?gina de series
	else if ($queryData['series']!='') {
		$lista = _CrearLista($queryData['series'],'/<li><a href="\/serie\/(.*?)" title="(.*?)">/',array(2,1,1),'/<ul id="list-container" class="dictionary-list">(.*?)<\/ul>/');
		foreach ($lista['enlace'] as &$value) $value = $website1.$cserie.$value;
		foreach ($lista['caratula'] as &$value) $value = $imagenes1.$value.$extension;
		$tipo = 'temporadas';
	}
	// P?gina de temporadas (posibilidad de a?adir a favoritos) 
	else if ($queryData['temporadas'] !='') {
		$html = file_get_contents($queryData['temporadas']);
		preg_match_all('/<h3 class="season"[^>]*> <strong>Temporada ([0-9]*?)<\/strong>/',$html,$todo);
		$serie = _DoblePatron($html,'/<div class="profile-info">(.*?)<\/div>/','/ <img src="(.*?)" alt="(.*?)" class="profile-img img-shadow" width="170" height="243" \/>/');
		foreach ($todo[1] as $value) { 
			$caratulas[] = $serie[1][0];
			$todo[2][] = "Temporada " . $value;
			}
		$lista = array ('titulo' => $todo[2],'enlace' => $todo[1],'caratula' => $caratulas,'serie' => $serie[2][0],'url' => $queryData['temporadas']);
		foreach ($lista['enlace'] as &$value) { $value = $queryData['temporadas'].'_'.$value;}		
		$tipo = 'capitulos';
	}
	// P?gina de cap?tulos
	else if ($queryData['capitulos']!='') {
		preg_match('/\/serie\/(.*?)_([0-9]+)/', $queryData['capitulos'], $datos);
		$url = 'http://www.seriesyonkis.com/serie/'.$datos[1];
		$html = file_get_contents($url);
		$strSearch = '<strong>Temporada '.$datos[2].'</strong>';
		$posInicio = strpos($html, $strSearch);
		$initTemp = substr($html, $posInicio);
		$temporada = preg_split( '/<strong>Temporada ([0-9]*?)<\/strong>/', $initTemp );		
 		preg_match_all('/<\/span> <a href="(.*?)">(.*?)<\/a> <\/td>/',$temporada[1],$todo);
		preg_match('/ <img src="(http:\/\/s\.staticyonkis\.com\/img\/series\/170x243.*?)" alt="(.*?)" class="profile-img img-shadow" width="170" height="243" \/>/',$html,$caratula);
 		$lista = array ('titulo' => $todo[2],'enlace' => $todo[1]);
		foreach ($lista['enlace'] as $key => &$value) { $value = $website1.$value; $lista['caratula'][$key]= $caratula[1];}
		foreach ($lista['titulo'] as &$value) { $value = str_replace("<strong>", "",$value);$value = str_replace("</strong>", "",$value);}
		$tipo = 'enlaces';
	}
	// P?gina de enlaces
	else if ($queryData['enlaces']!=''){
		$idioma = array ('esp' => 'ESP', 'eng' => 'ING', 'lat' => 'LAT');
		$subs = array ('esp_sub' => '-SUBESP', 'no_sub' => '');
		$calidad = array ('5' => 'Q5','0' => 'Q0');
		$html = file_get_contents($queryData['enlaces']);
		preg_match('/<h1 class="underline">(.*?)<span>/',$html,$title);
		preg_match_all('/<tr> <td class="episode-server"(.*?)<\/tr>/s',$html,$propiedades);		
		foreach ($propiedades[1] as $value) {
			$res = preg_match('/<a href="(.*?)" title="(.*?)" target="_blank"><span class="server (uploadedto|wupload)"><\/span>/',$value,$mega);//s?lo megavideo y megaupload
			if ($res) {
				$enlaces[] = $website1.$mega[1];
				preg_match('/<td class="episode-lang"><span class="flags (.*?)"/',$value,$idi);		
				preg_match('/<i class="sprite quality([0-9]+)/',$value,$cal);		
				preg_match('/<td class="center"><span class="flags (.*?)"/',$value,$subti);		
				$titulos[] = $title[1].'('.$calidad[$cal[1]].'-'.$idioma[$idi[1]].$subs[$subti[1]].') '. ($mega[3]=='megavideo'?' ':' ');
				$caratulas[] = ($mega[3]=='megavideo'? '':'');
			}
		}

		$lista = array ('titulo' => $titulos,'enlace' => $enlaces,'caratula' => $caratulas);		
		$tipo = 'enlace';
	}	
	// P?gina de enlace
	else if ($queryData['enlace'] !='') {
		
	$html = file_get_contents($queryData['enlace']);
        preg_match_all('/"down"><td><a href="([^"]+)"/', $html, $links);
			
    $partes = sizeof($links[1]);
    for ($i = 0; $i < $partes; $i++) {
      $url = $website1.$links[1][$i];
      $url = getCanonicalUrl($url);
      if((stristr($url, 'uploaded'))) { 
       $servidor="Enlace Uploaded.to";
       $caratula="http://2.bp.blogspot.com/-RtFqqDMQOeo/TxydmvI_suI/AAAAAAAA17E/Bd-qnkemPoY/s1600/uploaded.png";
       preg_match_all("/http:\/\/uploaded.to\/file\/(........)/",$url,$mv);
       $res='http://127.0.0.1/umsp/plugins/proxy_uploaded.php?v='.$mv[1][0];
       }
      if((stristr($url, 'wupload'))) {
       $servidor="Enlace Wupload";
       $caratula="http://lazonapremium.org/images/WUpload.png";
       preg_match_all("/http:\/\/www.wupload.*\/file\/(..........)/",$url,$mv);
       $res='http://127.0.0.1/umsp/plugins/proxy_wupload.php?v='.$mv[1][0];
     }
    }

               $retMediaItems[] = array (
                      'id' => 'umsp://plugins/series-seriesly-api',
                      'dc:title' => $servidor,
                      'res' => $res,
                      'upnp:class' => 'object.item.videoitem',
                      'upnp:album_art'=> $caratula,
                      'protocolInfo' => '*:*:*:*',);
           
             return $retMediaItems;
                                                                                                                           
    
	}
	// inclusi?n en favoritos
	else if ($queryData['favoritos'] !='') { 
		return _pluginFavorito($queryData['favoritos'],$plugin);
	}
	// P?gina de b?squeda
	else if ($queryData['busqueda']!='') {
		$datos = explode("?", $queryData['busqueda']);
		$options = array('method' => 'POST', 'content' => $datos[1]);
		$context = stream_context_create(array('http' => $options));
		$html = file_get_contents($datos[0], false, $context);
		preg_match_all('/<a title="([^"]*?)" href="([^"]*?)"><img width="50" height="71" class="thumb" src="([^"]*?)"/',$html,$todo);
		$lista = array ('titulo' => $todo[1],'enlace' => $todo[2],'caratula' =>$todo[3]);
		foreach ($lista['enlace'] as &$value) $value = $website1.$value;
		$tipo = 'temporadas';
	}
	// P?gina Inicial
	else
	{
		$lista = array (
		'titulo' => array ('Series M&aacute;s Vistas','Listado Alfab&eacute;tico'),
		'enlace' => array ('listadoM','listadoA'),
		'caratula' => array ('http://i53.tinypic.com/20zsiuh.jpg','http://i53.tinypic.com/2rctwn6.jpg'),
		);
		$tipo = 'inicio';

	}
	return _CrearItems($lista,$plugin,$tipo);
}

?>